#include "effect.h"
#include "sampler.h"

namespace Msp {
namespace GL {

Effect::Effect(Renderable &r):
	renderable(r)
{
	enabled_passes.insert(Tag());
}

void Effect::enable_for_pass(const Tag &tag)
{
	enabled_passes.insert(tag);
}

void Effect::disable_for_pass(const Tag &tag)
{
	enabled_passes.erase(tag);
}

} // namespace GL
} // namespace Msp
